﻿
#CategoriesTopSlider {
    max-width: 1256px;
    margin: 0px auto;
    box-sizing: border-box;
    padding: 0 16px;
}

    #CategoriesTopSlider > h1 {
        text-align: right;
        margin: 30px 0 30px 0;
        font-size: 48px;
    }

    #CategoriesTopSlider .categoriesMenuContainer {
        width: 100%;
        margin-top: 8px;
    }

        #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu {
            width: 100%;
            text-align: right;
            position: relative;
            display: grid;
            grid-template-columns: auto 50px;
            margin-bottom: 4px;
        }

            #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine {
                display: inline-flex;
                flex-direction: row;
                align-items: center;
                justify-content: space-between;
                width: 98%;
                height: 32px;
            }

                #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine a {
                    text-decoration: none;
                    margin-bottom: 2px;
                    letter-spacing: 0;
                    font-family: Assistant;
                    font-size: 16px;
                    font-style: normal;
                    font-weight: 400;
                    line-height: 28px;
                    color: #27292B;
                }

                    /*                    
                        #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine a:hover {
                        border-bottom: 5px #5fc5d7 solid;
                        color: #000000;
                        line-height: 37px;
                    }*/
                    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine a:not(.selected):hover {
                        color: #000000;
                        line-height: 44px;
                        box-shadow: inset 0 -5px 0 0px #5fc5d7;
                        -webkit-text-stroke: 0.5px black;
                        /*font-weight: 700;*/
                    }

                    /*#CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine .selected*/


                    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine a:first-child {
                        padding-right: 0px;
                    }


                #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine span {
                    font-size: 16px;
                    font-weight: bold;
                    color: deepskyblue;
                }

                #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine .selected {
                    border-bottom: 5px #5FC5D7 solid;
                    margin-bottom: 0px;
                    font-weight: 700;
                    line-height: 37px;
                }

            #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreDropdown {
                left: 0;
                display: inline;
                position: absolute;
                cursor: pointer;
                top: 4px;
                /*margin-left: 14px;*/
            }

                #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreDropdown a,
                #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreDropdown a:hover {
                    text-decoration: none;
                    border: none;
                }

                #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreDropdown::after {
                    content: '';
                    border: solid #757B88;
                    border-width: 0 1.5px 1.5px 0;
                    display: inline-block;
                    padding: 3px;
                    transform: rotate(45deg) translate3d(-8px, 6px, 10px);
                    -webkit-transform: rotate(45deg) translate3d(-8px, 6px, 10px);
                }




            #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreContent {
                display: none;
                width: 175px;
                position: absolute;
                left: 0%;
                margin-top: 10px;
                border: 1px solid black;
                background-color: white;
                box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
                z-index: 999;
                text-align: center;
                padding-bottom: 7px;
            }

                #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreContent a {
                    display: inline-block;
                    margin-top: 10px;
                    padding: 10px;
                    font-size: 16px;
                    line-height: 1;
                    color: #000000;
                    text-align: center;
                    text-decoration: none;
                    border-bottom: 3px #fff solid;
                }

                    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreContent a:hover,
                    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreContent a.selected {
                        border-bottom: 3px black solid;
                    }




/* Load after CategoriesTopSlider.css File */
@media (max-width: 1024px) {

    #CategoriesTopSlider > h1 {
        margin: 10px 0;
        font-size: 22px;
        overflow: auto;
    }

    #CategoriesTopSlider .categoriesMenuContainer {
        -webkit-overflow-scrolling: touch;
        overflow-y: hidden;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

        #CategoriesTopSlider .categoriesMenuContainer::-webkit-scrollbar {
            display: none;
        }

        #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu {
            height: 32px;
            overflow: auto;
            white-space: nowrap;
            border-top: none;
            position: relative;
            border-bottom: 1px solid #D7D7D7;
            border-top: 1px solid #D7D7D7;
            padding: 0 5px;
            display: flex;
        }

            #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu a {
                padding: 0rem 10px 0px 10px;
            }

            #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu::-webkit-scrollbar {
                background: transparent;
                height: 0px;
            }

                #CategoriesTopSlider .categoriesMenuContainer.categoriesMenu::-webkit-scrollbar * {
                    background: transparent;
                    height: 0px;
                }

            #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu::-webkit-scrollbar-thumb {
                background: transparent;
                height: 0px;
            }

    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreContent {
        left: 0%;
    }

    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine {
        width: unset;
        height: unset;
        gap: 12px;
    }

    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesMoreDropdown {
        position: relative;
        top: 7%;
        margin-left: 5%;
    }

    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu a {
        padding: 0rem 10px 0px 10px;
    }
}

@media (max-width: 600px) {
    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine a {
        font-size: 14px;
    }

    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine .selected {
        border-bottom: 0;
        margin-bottom: 0px;
        font-weight: 700;
        line-height: 25px;
        box-shadow: 0 4px 0 -1px #5FC5D7;
    }

    #CategoriesTopSlider .categoriesMenuContainer .categoriesMenu .categoriesLine a:not(.selected):hover {
        border-bottom: 0;
        margin-bottom: 0px;
        /*font-weight: 700;*/
        line-height: 25px;
        box-shadow: 0 4px 0 -1px #5FC5D7;
    }

    #CategoriesTopSlider {
        margin-bottom: 5px;
    }
}
